package cn.com.tenlion.systembase.service.lrs;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import cn.com.tenlion.systembase.pojo.dtos.lrs.LrsDTO;
import cn.com.tenlion.systembase.pojo.vos.lrs.LrsVO;
import cn.com.tenlion.systembase.pojo.bos.lrs.LrsBO;
import cn.com.tenlion.systembase.pojo.pos.lrs.LrsPO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: ILrsService
 * @Description: 综治领导责任制
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:25:26
 * @Version: 3.0
 **/
public interface ILrsService {

    /**
     * 新增综治领导责任制
     *
     * @param lrsVO
     * @return
     */
    void save(LrsVO lrsVO);

    /**
     * 新增综治领导责任制
     *
     * @param token
     * @param lrsVO
     * @return
     */
    void save(String token, LrsVO lrsVO);

    /**
     * 新增综治领导责任制
     *
     * @param lrsVO
     * @return lrsId
     */
    String saveReturnId(LrsVO lrsVO);

    /**
     * 新增综治领导责任制
     *
     * @param token
     * @param lrsVO
     * @return lrsId
     */
    String saveReturnId(String token, LrsVO lrsVO);

    /**
     * 删除综治领导责任制
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids);


    /**
     * 删除综治领导责任制
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids);

    /**
     * 删除综治领导责任制（物理删除）
     *
     * @param ids id列表
     */
    void delete(List<String> ids);

    /**
     * 修改综治领导责任制
     *
     * @param lrsId
     * @param lrsVO
     * @return
     */
    void update(String lrsId, LrsVO lrsVO);

    /**
     * 修改综治领导责任制
     *
     * @param token
     * @param lrsId
     * @param lrsVO
     * @return
     */
    void update(String token, String lrsId, LrsVO lrsVO);

    /**
     * 综治领导责任制详情
     *
     * @param params 参数Map
     * @return
     */
    LrsDTO get(Map<String, Object> params);

    /**
     * 综治领导责任制详情
     *
     * @param lrsId
     * @return
     */
    LrsDTO get(String lrsId);

    /**
     * 综治领导责任制详情
     *
     * @param params 参数Map
     * @return
     */
    LrsBO getBO(Map<String, Object> params);

    /**
     * 综治领导责任制详情
     *
     * @param lrsId
     * @return
     */
    LrsBO getBO(String lrsId);

    /**
     * 综治领导责任制详情
     *
     * @param params 参数Map
     * @return
     */
    LrsPO getPO(Map<String, Object> params);

    /**
     * 综治领导责任制详情
     *
     * @param lrsId
     * @return
     */
    LrsPO getPO(String lrsId);

    /**
     * 综治领导责任制列表
     *
     * @param params
     * @return
     */
    List<LrsDTO> list(Map<String, Object> params);

    /**
     * 综治领导责任制列表
     *
     * @param params
     * @return
     */
    List<LrsBO> listBO(Map<String, Object> params);

    /**
     * 综治领导责任制列表
     *
     * @param params
     * @return
     */
    List<LrsPO> listPO(Map<String, Object> params);

    /**
     * 综治领导责任制分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<LrsDTO>> listPage(ListPage page);

    /**
     * 综治领导责任制统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}